package com.brilliance.isc.vo.model;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FtdgrpVo extends AbstractCommonVo {
    private FtdVo rec;

    private FttVo blk;
    private FtacbsVo cbs;

    private PtsptaVo tro;

    private PtsptaVo tri;

    private PtsptaVo act;

    private PtsptaVo ben;

    private PtsptaVo apl;

    private CbbVo cbb;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new FtdVo();
        }
        if (cbb == null) {
            cbb = new CbbVo();
        }
        if (cbs == null){
            cbs = new FtacbsVo();
        }
        cbb.reset();
        if(tro == null){
            tro = new PtsptaVo();
        }
        tro.reset();
        if(tri == null){
            tri = new PtsptaVo();
        }
        tri.reset();
        if(act == null){
            act = new PtsptaVo();
        }
        act.reset();
        if(ben == null){
            ben = new PtsptaVo();
        }
        ben.reset();
        if(apl == null){
            apl = new PtsptaVo();
        }
        apl.reset();


    }
}
